@ECHO OFF
CLS
color 0a

GOTO MENU
:MENU
ECHO.
ECHO.Batch tool to unpack system.img. Original author: http://401389373.qzone.qq.com/
echo. Mod by Wendal specifically for Telcast tablets firmware http://wendal.net
echo. Translated to english by Aino
echo. 
echo. Note:
echo. 1 This tool must run on a NTFS partition to work
echo. 2 Befor start, system.img and boot.img files must be in the same tool directory
ECHO. 3 system.img will be unpacked in system directory inside the tool directory
ECHO. 3 boot.img will be unpacked in boot directory inside the tool directory
ECHO. 
ECHO. ------------List of features----------------
ECHO.
ECHO. 1 system.img unpack(encrypted and unencrypted)
ECHO.
ECHO. 2 system.img repack and encrypt
ECHO.
ECHO. 3 boot.img unpack
ECHO.
ECHO. 4 boot.img repack
ECHO.
ECHO. 5 system.img repack
ECHO.
ECHO. 6 Open root privilegies(permanent root)
ECHO.
ECHO. 7 Exit
ECHO.
ECHO. --------------------------------------------
echo. Please select option and press Enter:
set /p ID=
if "%id%"=="1" goto cmd1

if "%id%"=="2" goto cmd2

if "%id%"=="3" goto cmd3

if "%id%"=="4" goto cmd4

if "%id%"=="5" goto cmd5

if "%id%"=="6" goto cmd6

IF "%id%"=="7" exit
PAUSE

:cmd1
echo. --------------------------------------------
echo.
echo. system.img unpack notes:
echo. 1 Any previous file will be overwritten
echo. 2 Read carefully the unpacking messages to determine that all is going well
echo. 3 system.img will be extracted
echo. A system folder will be created
echo.
echo. Waiting for confirmation
pause
echo. -----------------------------------------  
rkDecrypt system.img
echo -----------------------------------------  
pfn -p1 system.img
echo. -----------------------------------------
echo.
echo Unpacking, please wait...
rmdir /s /q system 2>nul
cramfsck_nocrc -x system system.img
echo. -----------------------------------------  
echo. Unpacking completed!
pause
goto MENU

:cmd2
echo.
echo.
echo. system repack notes:
echo. 1 After success repacking, a system_new.img file will be created in the tool directory
echo. 2 Any previous file with the same name will be overwritten
echo. 3 Please read the process messages to confirm that all is going well
echo.
echo. Waiting for confirmation
pause
echo. ----------------------------------------- 
echo. Repacking, please wait
mkcramfs -q system system_new.img
echo. Repacking completed!
echo. -----------------------------------------  
pfn -p2 system_new.img
echo. Encryption completed!
pause
GOTO MENU

:cmd3
echo. --------------------------------------------
echo.
echo. boot.img unpack notes:
echo. 1 Any previous file will be overwritten
echo. 2 Read carefully the unpacking messages to determine that all is going well
echo. 3 Start the unpack operation boot.img will be extracted
echo. A boot folder will be created
echo.
echo. Waiting for confirmation
pause
echo. -----------------------------------------  
echo Unpacking, please wait...
rmdir /s /q boot 2>nul
cramfsck_nocrc -x boot boot.img
echo. -----------------------------------------
echo. Unpacking completed!
pause
goto MENU

:cmd4
echo.
echo.
echo. boot repack notes:
echo. 1 After success repacking, a boot_new.img file will be created in the tool directory
echo. 2 Any previous file with the same name will be overwritten
echo. 3 Please read the process messages to confirm that all is going well
echo.
echo. Waiting for confirmation
pause
mkcramfs -q boot boot_New.tmp
echo -----------------------------------------  
rkcrc boot_New.tmp boot_New.img
del /F /Q boot_New.tmp
echo. Repack completed!
pause
GOTO MENU

:cmd5
echo.
echo.
echo. system repack notes:
echo. 1 After success repacking, a system_new.img file will be created in the tool directory
echo. 2 Any previous file with the same name will be overwritten
echo. 3 Please read the process messages to confirm that all is going well
echo.
echo. Waiting for confirmation
pause
echo. ----------------------------------------- 
echo. Repacking, please wait
mkcramfs -q system system_new.img
echo. Repack completed!
echo. -----------------------------------------  
pause
GOTO MENU

:cmd6
echo.
echo. --------------------------------------------
echo. Firmware Root privilegies
echo. 1 Please ensure that you have unpacked the firmware and system directory exists
echo.
echo. Waiting for confirmation
pause
echo. -----------------------------------------  
copy /B su system\bin\su >nul
copy /B Superuser.apk system\app\ >nul
chmod -R 0777 system/*
chmod 6755 system/bin/su
chmod 6755 system/app/Superuser.apk
echo. ----------------------------------------- 
echo.Root success!
pause
GOTO MENU



